> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar chaves de API

> Este endpoint retorna a lista de todas as chaves de API do usuário.

## GET /api-keys

Este endpoint retorna todas as chaves de API associadas à conta autenticada. Por segurança, o valor completo nunca é retornado — apenas uma prévia.

### Resposta

<ResponseField name="apiKeys" type="array">
  Lista de objetos de chave de API.

  <Expandable title="Propriedades de apiKey">
    <ResponseField name="id" type="string">
      Identificador único da chave.
    </ResponseField>

    <ResponseField name="name" type="string">
      Nome definido pelo usuário para a chave.
    </ResponseField>

    <ResponseField name="keyPreview" type="string">
      Prévia mascarada da chave (ex.: `llm_1234...abcd`).
    </ResponseField>

    <ResponseField name="isActive" type="boolean">
      Se a chave está ativa e pode ser usada.
    </ResponseField>

    <ResponseField name="lastUsedAt" type="string">
      Data e hora do último uso em ISO 8601.
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      Data de criação da chave em ISO 8601.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="total" type="number">
  Número total de chaves de API.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.llmgenerator.com/api/v1/api-keys \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.llmgenerator.com/api/v1/api-keys',
    {
      headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
    }
  );

  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json Sucesso (200) theme={null}
  {
    "apiKeys": [
      {
        "id": "llm_1706123456_abc123def456",
        "name": "Production Key",
        "keyPreview": "llm_1706...f456",
        "isActive": true,
        "lastUsedAt": "2026-01-20T15:30:00.000Z",
        "createdAt": "2026-01-01T10:00:00.000Z"
      },
      {
        "id": "llm_1706234567_xyz789abc012",
        "name": "Development Key",
        "keyPreview": "llm_1706...c012",
        "isActive": true,
        "lastUsedAt": null,
        "createdAt": "2026-01-15T09:00:00.000Z"
      }
    ],
    "total": 2
  }
  ```
</ResponseExample>
